Bug 65901 - gcc missing assembler directive for Intel syntax
Summary: gcc missing assembler directive for Intel syntax
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-03 23:18 UTC by jmbastia
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-03 23:18:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jmbastia 2002-06-03 23:18:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
If compiling code with 'gcc -S -mintel-syntax', the assembler directive
.intel_syntax should be included in the corresponding .s file so 'as' knows how
to assemble the file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile code with 'gcc -S -mintel-syntax'
2. Try to assemble the .s file
3. Note the warnings and errors
	

Actual Results:  The directive .intel_syntax is missing from the .s file

Expected Results:  The directive .intel_syntax should be in the .s file

Additional info:

Comment 1 Jakub Jelinek 2002-06-04 09:13:00 UTC
-mintel-syntax is not fully supported in gcc-2.96-RH.
Use gcc 3.1 instead (which will put that .intel_syntax in the assembly among
other things).


Note You need to log in before you can comment on or make changes to this bug.